有難うございます。さっそくpatchあててみました。
2.1.5で動作確認。
さて、このさいバージョンあげるか。
   2.1.6 にするか 2.2.2 にするか、、、、

>
> とりあえず https://github.com/ruby/ruby/pull/896
>